commit:     4bb587d11be80ab8a8e10d2a1b8fad7e29db972d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 22 11:52:09 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 22 11:52:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bb587d1

media-plugins/gmpc-avahi: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-plugins/gmpc-avahi/gmpc-avahi-11.8.16.ebuild | 24 ++++++++++++++--------
 1 file changed, 15 insertions(+), 9 deletions(-)

diff --git a/media-plugins/gmpc-avahi/gmpc-avahi-11.8.16.ebuild 
b/media-plugins/gmpc-avahi/gmpc-avahi-11.8.16.ebuild
index 3bd0b417b8a..5a9d5ddb0d3 100644
--- a/media-plugins/gmpc-avahi/gmpc-avahi-11.8.16.ebuild
+++ b/media-plugins/gmpc-avahi/gmpc-avahi-11.8.16.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
+EAPI=7
 
 DESCRIPTION="This plugin discovers avahi enabled mpd servers"
 HOMEPAGE="http://gmpc.wikia.com/wiki/GMPC_PLUGIN_AVAHI";
@@ -12,13 +12,17 @@ SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE="nls"
 
-RDEPEND=">=media-sound/gmpc-${PV}
-       dev-libs/libxml2
-       net-dns/avahi[dbus]"
-DEPEND="${RDEPEND}
+RDEPEND="
+       >=media-sound/gmpc-${PV}
+       dev-libs/libxml2:2
+       net-dns/avahi:=[dbus]"
+DEPEND="${RDEPEND}"
+BDEPEND="
        virtual/pkgconfig
-       nls? ( dev-util/intltool
-               sys-devel/gettext )"
+       nls? (
+               dev-util/intltool
+               sys-devel/gettext
+       )"
 
 src_configure() {
        econf $(use_enable nls)
@@ -26,5 +30,7 @@ src_configure() {
 
 src_install () {
        default
-       find "${ED}" -name "*.la" -exec rm {} + || die
+
+       # plugins only
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to